## assimp 3.0~dfsg

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.6 )
PROJECT( Assimp )

# Define here the needed parameters
set (ASSIMP_SV_REVISION 1264)
set (ASSIMP_VERSION_MAJOR 3)
set (ASSIMP_VERSION_MINOR 0)
set (ASSIMP_VERSION_PATCH ${ASSIMP_SV_REVISION}) # subversion revision?
set (ASSIMP_VERSION ${ASSIMP_VERSION_MAJOR}.${ASSIMP_VERSION_MINOR}.${ASSIMP_VERSION_PATCH})
set (ASSIMP_SOVERSION 3)
SET ( PROJECT_VERSION "${ASSIMP_VERSION}" )

set(PACKAGE_VERSION "0" CACHE STRING "the package-specific version used for uploading the sources")

option(OPT_BUILD_PACKAGES "Set to ON to generate CPack configuration files and packaging targets" OFF)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules")
set(LIBASSIMP_COMPONENT libassimp${ASSIMP_VERSION_MAJOR}.${ASSIMP_VERSION_MINOR}-r${ASSIMP_SV_REVISION})
set(LIBASSIMP-DEV_COMPONENT libassimp${ASSIMP_VERSION_MAJOR}.${ASSIMP_VERSION_MINOR}-r${ASSIMP_SV_REVISION}-dev)
set(CPACK_COMPONENTS_ALL assimp-bin ${LIBASSIMP_COMPONENT} ${LIBASSIMP-DEV_COMPONENT} assimp-dev)

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  add_definitions(-fPIC) # this is a very important switch and some libraries seem now to have it....
  ## hide all not-exported symbols
  add_definitions( -fvisibility=hidden )
endif()

INCLUDE (FindPkgConfig)
INCLUDE_DIRECTORIES( include )

# If this is an in-source build (CMAKE_SOURCE_DIR == CMAKE_BINARY_DIR),
# write the library/executable files to the respective directories in the
# source tree. During an out-of-source build, however, do not litter this
# directory, since that is probably what the user wanted to avoid.
IF ( CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR )
	SET( CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_HOME_DIRECTORY}/lib )
	SET( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_HOME_DIRECTORY}/lib )
	SET( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_HOME_DIRECTORY}/bin )
ENDIF ( CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR )

# Cache these to allow the user to override them manually.
SET( LIB_INSTALL_DIR "lib" CACHE PATH
	"Path the built library files are installed to." )
SET( INCLUDE_INSTALL_DIR "include" CACHE PATH
	"Path the header files are installed to." )
SET( BIN_INSTALL_DIR "bin" CACHE PATH
	"Path the tool executables are installed to." )

SET(DEBUG_POSTFIX "D" CACHE STRING "Debug Postfitx for lib, samples and tools")

# Generate a pkg-config .pc for the Assimp library.
CONFIGURE_FILE( "${PROJECT_SOURCE_DIR}/assimp.pc.in" "${PROJECT_BINARY_DIR}/assimp.pc" @ONLY )
INSTALL( FILES "${PROJECT_BINARY_DIR}/assimp.pc" DESTINATION ${LIB_INSTALL_DIR}/pkgconfig/ COMPONENT ${LIBASSIMP-DEV_COMPONENT})

# cmake configuration files
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/assimp-config.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/assimp-config.cmake" @ONLY IMMEDIATE)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/assimp-config-version.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/assimp-config-version.cmake" @ONLY IMMEDIATE)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/assimp-config.cmake" "${CMAKE_CURRENT_BINARY_DIR}/assimp-config-version.cmake" DESTINATION "${LIB_INSTALL_DIR}/cmake/assimp-${ASSIMP_VERSION_MAJOR}.${ASSIMP_VERSION_MINOR}" COMPONENT ${LIBASSIMP-DEV_COMPONENT})

# add make uninstall capability
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

# Allow the user to build a static library
SET ( BUILD_STATIC_LIB OFF CACHE BOOL
	"Build a static (.a) version of the library"
)

# Globally enbale Boost resp. the Boost workaround – it is also needed by the
# tools which include the Assimp headers.
SET ( ENABLE_BOOST_WORKAROUND OFF CACHE BOOL
	"If a simple implementation of the used Boost functions is used. Slightly reduces functionality, but enables builds without Boost available."
)
IF ( ENABLE_BOOST_WORKAROUND )
	INCLUDE_DIRECTORIES( code/BoostWorkaround )
	ADD_DEFINITIONS( -DASSIMP_BUILD_BOOST_WORKAROUND )
	MESSAGE( STATUS "Building a non-boost version of Assimp." )
ELSE ( ENABLE_BOOST_WORKAROUND )
	SET( Boost_DETAILED_FAILURE_MSG ON )
	SET( Boost_ADDITIONAL_VERSIONS "1.47" "1.47.0" "1.48.0" "1.48" "1.49" "1.49.0" "1.50")	
	FIND_PACKAGE( Boost )
	IF ( NOT Boost_FOUND )
		MESSAGE( FATAL_ERROR
			"Boost libraries (http://www.boost.org/) not found. "
			"You can build a non-boost version of Assimp with slightly reduced "
			"functionality by specifying -DENABLE_BOOST_WORKAROUND=ON."
		)
	ENDIF ( NOT Boost_FOUND )

	INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIRS} )
ENDIF ( ENABLE_BOOST_WORKAROUND )


SET ( NO_EXPORT OFF CACHE BOOL
	"Disable Assimp's export functionality." 
)

# Search for external dependencies, and build them from source if not found
# Search for zlib
find_package(ZLIB)
if( NOT ZLIB_FOUND )
  message(STATUS "compiling zlib from souces")
  include(CheckIncludeFile)
  include(CheckTypeSize)
  include(CheckFunctionExists)
  # compile from sources
  add_subdirectory(contrib/zlib)
  set(ZLIB_FOUND 1)
  set(ZLIB_LIBRARIES zlib)
  set(ZLIB_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/zlib)
else(NOT ZLIB_FOUND)
  ADD_DEFINITIONS(-DASSIMP_BUILD_NO_OWN_ZLIB)
endif(NOT ZLIB_FOUND)
INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})

# Search for unzip
if (PKG_CONFIG_FOUND)
	PKG_CHECK_MODULES(UNZIP minizip)
endif (PKG_CONFIG_FOUND)

IF ( NO_EXPORT )
	ADD_DEFINITIONS( -DASSIMP_BUILD_NO_EXPORT)
	MESSAGE( STATUS "Build an import-only version of Assimp." )
ENDIF( NO_EXPORT )


SET ( ASSIMP_BUILD_ARCHITECTURE "" CACHE STRING 
	"describe the current architecture."
)
IF    ( ASSIMP_BUILD_ARCHITECTURE STREQUAL "")
ELSE  ( ASSIMP_BUILD_ARCHITECTURE STREQUAL "")
	ADD_DEFINITIONS ( -D'ASSIMP_BUILD_ARCHITECTURE="${ASSIMP_BUILD_ARCHITECTURE}"' )
ENDIF ( ASSIMP_BUILD_ARCHITECTURE STREQUAL "")

SET ( ASSIMP_BUILD_COMPILER "" CACHE STRING 
	"describe the current compiler."
)
IF    ( ASSIMP_BUILD_COMPILER STREQUAL "")
ELSE  ( ASSIMP_BUILD_COMPILER STREQUAL "")
	ADD_DEFINITIONS ( -D'ASSIMP_BUILD_COMPILER="${ASSIMP_BUILD_COMPILER}"' )
ENDIF ( ASSIMP_BUILD_COMPILER STREQUAL "")

MARK_AS_ADVANCED ( ASSIMP_BUILD_ARCHITECTURE ASSIMP_BUILD_COMPILER )


ADD_SUBDIRECTORY( code/ )
SET ( BUILD_ASSIMP_TOOLS ON CACHE BOOL
	"If the supplementary tools for Assimp are built in addition to the library."
)
IF ( BUILD_ASSIMP_TOOLS )
	IF ( WIN32 )
		ADD_SUBDIRECTORY( tools/assimp_view/ )
	ENDIF ( WIN32 )
	ADD_SUBDIRECTORY( tools/assimp_cmd/ )
ENDIF ( BUILD_ASSIMP_TOOLS )

SET ( BUILD_ASSIMP_SAMPLES ON CACHE BOOL
	"If the official samples are built as well (needs Glut)."
)

IF ( BUILD_ASSIMP_SAMPLES)
	IF ( WIN32 )
		ADD_SUBDIRECTORY( samples/SimpleTexturedOpenGL/ )
	ENDIF ( WIN32 )
	ADD_SUBDIRECTORY( samples/SimpleOpenGL/ )
ENDIF ( BUILD_ASSIMP_SAMPLES )

SET ( BUILD_TESTS OFF CACHE BOOL
	"If the test suite for Assimp is built in addition to the library."
)
IF ( BUILD_TESTS )
	IF ( WIN32 )
		ADD_SUBDIRECTORY( test/ )
	ELSE ( WIN32 )
		MESSAGE( WARNING "The Assimp test suite is currently Windows-only." )
	ENDIF ( WIN32 )
ENDIF ( BUILD_TESTS )

if(CMAKE_CPACK_COMMAND AND UNIX AND OPT_BUILD_PACKAGES)
  # Packing information
  set(CPACK_PACKAGE_NAME assimp{ASSIMP_VERSION_MAJOR})
  set(CPACK_PACKAGE_CONTACT "" CACHE STRING "Package maintainer and PGP signer.")
  set(CPACK_PACKAGE_VENDOR "http://assimp.sourceforge.net/")
  set(CPACK_PACKAGE_DISPLAY_NAME "Assimp ${ASSIMP_VERSION}")
  set(CPACK_PACKAGE_DESCRIPTION_SUMMARY " - Open Asset Import Library ${ASSIMP_VERSION}")
  set(CPACK_PACKAGE_VERSION ${ASSIMP_VERSION}.${PACKAGE_VERSION})
  set(CPACK_PACKAGE_VERSION_MAJOR ${ASSIMP_VERSION_MAJOR})
  set(CPACK_PACKAGE_VERSION_MINOR ${ASSIMP_VERSION_MINOR})
  set(CPACK_PACKAGE_VERSION_PATCH ${ASSIMP_VERSION_PATCH})
  set(CPACK_PACKAGE_INSTALL_DIRECTORY "assimp${ASSIMP_VERSION_MAJOR}.${ASSIMP_VERSION_MINOR}")
  #set(CPACK_PACKAGE_DESCRIPTION_FILE ${CMAKE_CURRENT_SOURCE_DIR}/description)
  set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_CURRENT_SOURCE_DIR}/LICENSE)

  string(TOUPPER ${LIBASSIMP_COMPONENT} LIBASSIMP_COMPONENT_UPPER)
  string(TOUPPER ${LIBASSIMP-DEV_COMPONENT} LIBASSIMP-DEV_COMPONENT_UPPER)

  set(CPACK_COMPONENT_ASSIMP-BIN_DISPLAY_NAME "tools")
  set(CPACK_COMPONENT_ASSIMP-BIN_DEPENDS ${LIBASSIMP_COMPONENT})
  set(CPACK_COMPONENT_${LIBASSIMP_COMPONENT_UPPER}_DISPLAY_NAME "libraries")
  set(CPACK_COMPONENT_${LIBASSIMP-DEV_COMPONENT_UPPER}_DISPLAY_NAME "common headers and installs")
  set(CPACK_COMPONENT_${LIBASSIMP-DEV_COMPONENT_UPPER}_DEPENDS ${LIBASSIMP_COMPONENT})
  set(CPACK_COMPONENT_ASSIMP-DEV_DISPLAY_NAME ${CPACK_COMPONENT_${LIBASSIMP-DEV_COMPONENT}_DISPLAY_NAME})
  set(CPACK_COMPONENT_ASSIMP-DEV_DEPENDS ${LIBASSIMP-DEV_COMPONENT})
  set(CPACK_DEBIAN_BUILD_DEPENDS debhelper cmake libboost-dev libboost-thread-dev libboost-math-dev zlib1g-dev pkg-config)

  # debian
  set(CPACK_DEBIAN_PACKAGE_PRIORITY optional)
  set(CPACK_DEBIAN_CMAKE_OPTIONS "-DBUILD_ASSIMP_SAMPLES:BOOL=${BUILD_ASSIMP_SAMPLES}")
  set(CPACK_DEBIAN_PACKAGE_SECTION libs)
  set(CPACK_DEBIAN_PACKAGE_DEPENDS ${CPACK_COMPONENTS_ALL})
  set(CPACK_DEBIAN_PACKAGE_SUGGESTS)
  set(CPACK_DEBIAN_PACKAGE_NAME assimp)
  set(CPACK_DEBIAN_PACKAGE_REMOVE_SOURCE_FILES contrib/cppunit-1.12.1 contrib/cppunit_note.txt contrib/zlib workspaces test doc obj samples packaging)
  set(CPACK_DEBIAN_PACKAGE_SOURCE_COPY svn export --force)
  set(CPACK_DEBIAN_CHANGELOG)
  execute_process(COMMAND lsb_release -is
    OUTPUT_VARIABLE _lsb_distribution OUTPUT_STRIP_TRAILING_WHITESPACE
    RESULT_VARIABLE _lsb_release_failed)
  set(CPACK_DEBIAN_DISTRIBUTION_NAME ${_lsb_distribution} CACHE STRING "Name of the distrubiton")
  string(TOLOWER ${CPACK_DEBIAN_DISTRIBUTION_NAME} CPACK_DEBIAN_DISTRIBUTION_NAME)
  if( ${CPACK_DEBIAN_DISTRIBUTION_NAME} STREQUAL "ubuntu" )
    set(CPACK_DEBIAN_DISTRIBUTION_RELEASES lucid maverick natty oneiric precise CACHE STRING "Release code-names of the distrubiton release")
  endif()
  set(DPUT_HOST "" CACHE STRING "PPA repository to upload the debian sources")
  include(CPack)
  include(DebSourcePPA)
endif()

=== code/CMakeLists.txt ===
# Listing and grouping of all the source files.
# 1) Set the file lists for each component
# 2) Create a Source Group for each component, for IDE project orginization
# 3) Add libassimp using the file lists (eliminates duplication of file names between
#    source groups and library command)
#
SET( HEADER_PATH ../include/assimp )

SET( COMPILER_HEADERS
	${HEADER_PATH}/Compiler/pushpack1.h
	${HEADER_PATH}/Compiler/poppack1.h
	pstdint.h
)
SOURCE_GROUP( Compiler FILES ${COMPILER_HEADERS})

SET( PUBLIC_HEADERS
	${HEADER_PATH}/anim.h
	${HEADER_PATH}/ai_assert.h
	${HEADER_PATH}/camera.h
	${HEADER_PATH}/color4.h
	${HEADER_PATH}/color4.inl
	${HEADER_PATH}/config.h
	${HEADER_PATH}/defs.h
	${HEADER_PATH}/cfileio.h
	${HEADER_PATH}/light.h
	${HEADER_PATH}/material.h
	${HEADER_PATH}/material.inl
	${HEADER_PATH}/matrix3x3.h
	${HEADER_PATH}/matrix3x3.inl
	${HEADER_PATH}/matrix4x4.h
	${HEADER_PATH}/matrix4x4.inl
	${HEADER_PATH}/mesh.h
	${HEADER_PATH}/postprocess.h
	${HEADER_PATH}/quaternion.h
	${HEADER_PATH}/quaternion.inl
	${HEADER_PATH}/scene.h
	${HEADER_PATH}/texture.h
	${HEADER_PATH}/types.h
	${HEADER_PATH}/vector2.h
	${HEADER_PATH}/vector2.inl
	${HEADER_PATH}/vector3.h
	${HEADER_PATH}/vector3.inl
	${HEADER_PATH}/version.h
	${HEADER_PATH}/cimport.h
	${HEADER_PATH}/importerdesc.h
	${HEADER_PATH}/Importer.hpp
	${HEADER_PATH}/DefaultLogger.hpp
	${HEADER_PATH}/ProgressHandler.hpp
	${HEADER_PATH}/IOStream.hpp
	${HEADER_PATH}/IOSystem.hpp
	${HEADER_PATH}/Logger.hpp
	${HEADER_PATH}/LogStream.hpp
	${HEADER_PATH}/NullLogger.hpp
	${HEADER_PATH}/cexport.h
	${HEADER_PATH}/Exporter.hpp
)

SET( Core_SRCS
	Assimp.cpp
	AssimpPCH.cpp
	AssimpPCH.h
)

SET( Boost_SRCS
	BoostWorkaround/boost/math/common_factor_rt.hpp
	BoostWorkaround/boost/foreach.hpp
	BoostWorkaround/boost/format.hpp
	BoostWorkaround/boost/scoped_array.hpp
	BoostWorkaround/boost/scoped_ptr.hpp
	BoostWorkaround/boost/shared_array.hpp
	BoostWorkaround/boost/shared_ptr.hpp
	BoostWorkaround/boost/make_shared.hpp
	BoostWorkaround/boost/static_assert.hpp
	BoostWorkaround/boost/tuple/tuple.hpp
)
SOURCE_GROUP(Boost FILES ${Boost_SRCS})

SET( Logging_SRCS
	${HEADER_PATH}/DefaultLogger.hpp
	${HEADER_PATH}/IOStream.hpp
	${HEADER_PATH}/LogStream.hpp
	${HEADER_PATH}/Logger.hpp
	${HEADER_PATH}/NullLogger.hpp
	Win32DebugLogStream.h
	DefaultLogger.cpp
	FileLogStream.h
)
SOURCE_GROUP(Logging FILES ${Logging_SRCS})

SET( Common_SRCS
	fast_atof.h
	qnan.h
	BaseImporter.cpp
	BaseImporter.h
	BaseProcess.cpp
	BaseProcess.h
	Importer.h
	ScenePrivate.h
	PostStepRegistry.cpp
	ImporterRegistry.cpp
	ByteSwap.h
	DefaultProgressHandler.h
	DefaultIOStream.cpp
	DefaultIOStream.h
	DefaultIOSystem.cpp
	DefaultIOSystem.h
	CInterfaceIOWrapper.h
	Hash.h
	Importer.cpp
	IFF.h
	ParsingUtils.h
	StdOStreamLogStream.h
	StreamReader.h
	StringComparison.h
	SGSpatialSort.cpp
	SGSpatialSort.h
	VertexTriangleAdjacency.cpp
	VertexTriangleAdjacency.h
	GenericProperty.h
	SpatialSort.cpp
	SpatialSort.h
	SceneCombiner.cpp
	SceneCombiner.h
	ScenePreprocessor.cpp
	ScenePreprocessor.h
	SkeletonMeshBuilder.cpp
	SkeletonMeshBuilder.h
	SplitByBoneCountProcess.cpp
	SplitByBoneCountProcess.h
	SmoothingGroups.h
	StandardShapes.cpp
	StandardShapes.h
	TargetAnimation.cpp
	TargetAnimation.h
	RemoveComments.cpp
	RemoveComments.h
	Subdivision.cpp
	Subdivision.h
	Vertex.h
	LineSplitter.h
	TinyFormatter.h
	Profiler.h
	LogAux.h
)
SOURCE_GROUP(Common FILES ${Common_SRCS})

SET( 3DS_SRCS
	3DSConverter.cpp
	3DSHelper.h
	3DSLoader.cpp
	3DSLoader.h
)
SOURCE_GROUP(3DS FILES ${3DS_SRCS})

SET( AC_SRCS
	ACLoader.cpp
	ACLoader.h
)
SOURCE_GROUP( AC FILES ${AC_SRCS})

SET( ASE_SRCS
	ASELoader.cpp
	ASELoader.h
	ASEParser.cpp
	ASEParser.h
)
SOURCE_GROUP( ASE FILES ${ASE_SRCS})

SET( B3D_SRCS
	B3DImporter.cpp
	B3DImporter.h
)
SOURCE_GROUP( B3D FILES ${B3D_SRCS})

SET( BVH_SRCS
	BVHLoader.cpp
	BVHLoader.h
)
SOURCE_GROUP( BVH FILES ${BVH_SRCS})

SET( Collada_SRCS
	ColladaHelper.h
	ColladaLoader.cpp
	ColladaLoader.h
	ColladaParser.cpp
	ColladaParser.h
	ColladaExporter.h
	ColladaExporter.cpp
)
SOURCE_GROUP( Collada FILES ${Collada_SRCS})

SET( DXF_SRCS
	DXFLoader.cpp
	DXFLoader.h
	DXFHelper.h
)
SOURCE_GROUP( DXF FILES ${DXF_SRCS})

SET( CSM_SRCS
	CSMLoader.cpp
	CSMLoader.h
)
SOURCE_GROUP( CSM FILES ${CSM_SRCS})

SET( HMP_SRCS
	HMPFileData.h
	HMPLoader.cpp
	HMPLoader.h
	HalfLifeFileData.h
)
SOURCE_GROUP( HMP FILES ${HMP_SRCS})

SET( Irr_SRCS
	IRRLoader.cpp
	IRRLoader.h
	IRRMeshLoader.cpp
	IRRMeshLoader.h
	IRRShared.cpp
	IRRShared.h
)
SOURCE_GROUP( Irr FILES ${Irr_SRCS})

SET( LWO_SRCS
	LWOAnimation.cpp
	LWOAnimation.h
	LWOBLoader.cpp
	LWOFileData.h
	LWOLoader.cpp
	LWOLoader.h
	LWOMaterial.cpp
)
SOURCE_GROUP( LWO FILES ${LWO_SRCS})

SET( LWS_SRCS
	LWSLoader.cpp
	LWSLoader.h
)
SOURCE_GROUP( LWS FILES ${LWS_SRCS})

SET ( M3_SRCS
	M3Importer.cpp
	M3Importer.h
)
SOURCE_GROUP( M3 FILES ${M3_SRCS} )

SET( MD2_SRCS
	MD2FileData.h
	MD2Loader.cpp
	MD2Loader.h
	MD2NormalTable.h
)
SOURCE_GROUP( MD2 FILES ${MD2_SRCS})

SET( MD3_SRCS
	MD3FileData.h
	MD3Loader.cpp
	MD3Loader.h
)
SOURCE_GROUP( MD3 FILES ${MD3_SRCS})

SET( MD5_SRCS
	MD5Loader.cpp
	MD5Loader.h
	MD5Parser.cpp
	MD5Parser.h
)
SOURCE_GROUP( MD5 FILES ${MD5_SRCS})

SET( MDC_SRCS
	MDCFileData.h
	MDCLoader.cpp
	MDCLoader.h
	MDCNormalTable.h
)
SOURCE_GROUP( MDC FILES ${MDC_SRCS})

SET( MDL_SRCS
	MDLDefaultColorMap.h
	MDLFileData.h
	MDLLoader.cpp
	MDLLoader.h
	MDLMaterialLoader.cpp
)
SOURCE_GROUP( MDL FILES ${MDL_SRCS})

SET( MaterialSystem_SRCS
	MaterialSystem.cpp
	MaterialSystem.h
)
SOURCE_GROUP( MaterialSystem FILES ${MaterialSystem_SRCS})

SET( NFF_SRCS
	NFFLoader.cpp
	NFFLoader.h
)
SOURCE_GROUP( NFF FILES ${NFF_SRCS})

SET( NDO_SRCS
	NDOLoader.cpp
	NDOLoader.h
)
SOURCE_GROUP( NDO FILES ${NDO_SRCS})

SET( OFFFormat_SRCS
	OFFLoader.cpp
	OFFLoader.h
)
SOURCE_GROUP( OFFFormat FILES ${OFFFormat_SRCS})

SET( Obj_SRCS
	ObjFileData.h
	ObjFileImporter.cpp
	ObjFileImporter.h
	ObjFileMtlImporter.cpp
	ObjFileMtlImporter.h
	ObjFileParser.cpp
	ObjFileParser.h
	ObjTools.h
	
	ObjExporter.h
	ObjExporter.cpp
)
SOURCE_GROUP( Obj FILES ${Obj_SRCS})

SET( Ogre_SRCS
	OgreImporter.hpp
	OgreXmlHelper.hpp
	OgreImporter.cpp
	OgreMaterial.cpp
	OgreMesh.cpp
	OgreSkeleton.cpp
)
SOURCE_GROUP( Ogre FILES ${Ogre_SRCS})

SET( Ply_SRCS
	PlyLoader.cpp
	PlyLoader.h
	PlyParser.cpp
	PlyParser.h
	PlyExporter.cpp
	PlyExporter.h
)
SOURCE_GROUP( Ply FILES ${Ply_SRCS})

SET(MS3D_SRCS
	MS3DLoader.cpp
	MS3DLoader.h
)
SOURCE_GROUP( MS3D FILES ${MS3D_SRCS})

SET(COB_SRCS
	COBLoader.cpp
	COBLoader.h
	COBScene.h
)
SOURCE_GROUP( COB FILES ${COB_SRCS})

SET(BLENDER_SRCS
	BlenderLoader.cpp
	BlenderLoader.h
	BlenderDNA.cpp
	BlenderDNA.h
	BlenderDNA.inl
	BlenderScene.cpp
	BlenderScene.h
	BlenderSceneGen.h
	BlenderIntermediate.h
	BlenderModifier.h
	BlenderModifier.cpp
)
SOURCE_GROUP( BLENDER FILES ${BLENDER_SRCS})

SET(IFC_SRCS
	IFCLoader.cpp
	IFCLoader.h
	IFCReaderGen.cpp
	IFCReaderGen.h
	IFCUtil.h
	IFCUtil.cpp
	IFCGeometry.cpp
	IFCMaterial.cpp
	IFCProfile.cpp
	IFCCurve.cpp
	STEPFile.h
	STEPFileReader.h
	STEPFileReader.cpp
)
SOURCE_GROUP( IFC FILES ${IFC_SRCS})

SET( XGL_SRCS
	XGLLoader.cpp
	XGLLoader.h
)
SOURCE_GROUP( XGL FILES ${XGL_SRCS})


SET( PostProcessing_SRCS
	CalcTangentsProcess.cpp
	CalcTangentsProcess.h
	ComputeUVMappingProcess.cpp
	ComputeUVMappingProcess.h
	ConvertToLHProcess.cpp
	ConvertToLHProcess.h
	FindDegenerates.cpp
	FindDegenerates.h
	FindInstancesProcess.cpp
	FindInstancesProcess.h
	FindInvalidDataProcess.cpp
	FindInvalidDataProcess.h
	FixNormalsStep.cpp
	FixNormalsStep.h
	GenFaceNormalsProcess.cpp
	GenFaceNormalsProcess.h
	GenVertexNormalsProcess.cpp
	GenVertexNormalsProcess.h
	PretransformVertices.cpp
	PretransformVertices.h
	ImproveCacheLocality.cpp
	ImproveCacheLocality.h
	JoinVerticesProcess.cpp
	JoinVerticesProcess.h
	LimitBoneWeightsProcess.cpp
	LimitBoneWeightsProcess.h
	RemoveRedundantMaterials.cpp
	RemoveRedundantMaterials.h
	RemoveVCProcess.cpp
	RemoveVCProcess.h
	SortByPTypeProcess.cpp
	SortByPTypeProcess.h
	SplitLargeMeshes.cpp
	SplitLargeMeshes.h
	TerragenLoader.cpp
	TerragenLoader.h
	TextureTransform.cpp
	TextureTransform.h
	TriangulateProcess.cpp
	TriangulateProcess.h
	ValidateDataStructure.cpp
	ValidateDataStructure.h
	OptimizeGraph.cpp
	OptimizeGraph.h
	OptimizeMeshes.cpp
	OptimizeMeshes.h
	DeboneProcess.cpp
	DeboneProcess.h
	ProcessHelper.h
	ProcessHelper.cpp
	PolyTools.h
	MakeVerboseFormat.cpp
	MakeVerboseFormat.h
)
SOURCE_GROUP( PostProcessing FILES ${PostProcessing_SRCS})

SET( Q3D_SRCS
	Q3DLoader.cpp
	Q3DLoader.h
)
SOURCE_GROUP( Q3D FILES ${Q3D_SRCS})

SET( Q3BSP_SRCS
	Q3BSPFileData.h
	Q3BSPFileParser.h
	Q3BSPFileParser.cpp
	Q3BSPFileImporter.h
	Q3BSPFileImporter.cpp
	Q3BSPZipArchive.h
	Q3BSPZipArchive.cpp
)
SOURCE_GROUP( Q3BSP FILES ${Q3BSP_SRCS})

SET( Raw_SRCS
	RawLoader.cpp
	RawLoader.h
)
SOURCE_GROUP( Raw FILES ${Raw_SRCS})

SET( SMD_SRCS
	SMDLoader.cpp
	SMDLoader.h
)
SOURCE_GROUP( SMD FILES ${SMD_SRCS})

SET( STL_SRCS
	STLLoader.cpp
	STLLoader.h
	STLExporter.h
	STLExporter.cpp
)
SOURCE_GROUP( STL FILES ${STL_SRCS})

SET( Unreal_SRCS
	UnrealLoader.cpp
	UnrealLoader.h
)
SOURCE_GROUP( Unreal FILES ${Unreal_SRCS})

SET( XFile_SRCS
	XFileHelper.h
	XFileImporter.cpp
	XFileImporter.h
	XFileParser.cpp
	XFileParser.h
)
SOURCE_GROUP( XFile FILES ${XFile_SRCS})

SET( Exporter_SRCS
	Exporter.cpp
	AssimpCExport.cpp
	BlobIOSystem.h
)
SOURCE_GROUP( Exporter FILES ${Exporter_SRCS})

SET( Extra_SRCS
	MD4FileData.h
)
SOURCE_GROUP( Extra FILES ${Extra_SRCS})

SET( IrrXML_SRCS
	irrXMLWrapper.h
	../contrib/irrXML/CXMLReaderImpl.h
	../contrib/irrXML/heapsort.h
	../contrib/irrXML/irrArray.h
	../contrib/irrXML/irrString.h
	../contrib/irrXML/irrTypes.h
	../contrib/irrXML/irrXML.cpp
	../contrib/irrXML/irrXML.h
)
SOURCE_GROUP( IrrXML FILES ${IrrXML_SRCS})

SET( ConvertUTF_SRCS
	../contrib/ConvertUTF/ConvertUTF.h
	../contrib/ConvertUTF/ConvertUTF.c
)
SOURCE_GROUP( ConvertUTF FILES ${ConvertUTF_SRCS})

SET( Clipper_SRCS 
	../contrib/clipper/clipper.hpp
	../contrib/clipper/clipper.cpp
)
SOURCE_GROUP( Clipper FILES ${Clipper_SRCS})


SET( Poly2Tri_SRCS 
	../contrib/poly2tri/poly2tri/common/shapes.cc
	../contrib/poly2tri/poly2tri/common/shapes.h
	../contrib/poly2tri/poly2tri/common/utils.h
	../contrib/poly2tri/poly2tri/sweep/advancing_front.h
	../contrib/poly2tri/poly2tri/sweep/advancing_front.cc
	../contrib/poly2tri/poly2tri/sweep/cdt.cc
	../contrib/poly2tri/poly2tri/sweep/cdt.h
	../contrib/poly2tri/poly2tri/sweep/sweep.cc
	../contrib/poly2tri/poly2tri/sweep/sweep.h
	../contrib/poly2tri/poly2tri/sweep/sweep_context.cc
	../contrib/poly2tri/poly2tri/sweep/sweep_context.h
)
SOURCE_GROUP( Poly2Tri FILES ${Poly2Tri_SRCS})

SET( unzip_SRCS
	../contrib/unzip/crypt.h
	../contrib/unzip/ioapi.c
	../contrib/unzip/ioapi.h
	../contrib/unzip/unzip.c
	../contrib/unzip/unzip.h
)
SOURCE_GROUP( unzip FILES ${unzip_SRCS})


# VC2010 fixes
OPTION( VC10_STDINT_FIX "Fix for VC10 Compiler regarding pstdint.h redefinition errors" OFF )
if( VC10_STDINT_FIX )
	ADD_DEFINITIONS( -D_STDINT )
endif( VC10_STDINT_FIX )

ADD_DEFINITIONS( -DASSIMP_BUILD_DLL_EXPORT )

if ( MSVC80 OR MSVC90 OR MSVC10 )
	ADD_DEFINITIONS( -D_SCL_SECURE_NO_WARNINGS )
	ADD_DEFINITIONS( -D_CRT_SECURE_NO_WARNINGS )
endif ( MSVC80 OR MSVC90 OR MSVC10 )

if (UNZIP_FOUND)
	SET (unzip_compile_SRCS "")
else (UNZIP_FOUND)
	SET (unzip_compile_SRCS ${unzip_SRCS})
endif (UNZIP_FOUND)

SET( assim_src
	# Assimp Files
	${Core_SRCS}
	${Common_SRCS}
	${Logging_SRCS}
	${Exporter_SRCS}
	${PostProcessing_SRCS}

	# Model Support
	${3DS_SRCS}
	${AC_SRCS}
	${ASE_SRCS}
	${B3D_SRCS}
	${BVH_SRCS}
	${Collada_SRCS}
	${DXF_SRCS}
	${CSM_SRCS}
	${HMP_SRCS}
	${Irr_SRCS}
	${LWO_SRCS}
	${LWS_SRCS}
	${M3_SRCS}
	${MD2_SRCS}
	${MD3_SRCS}
	${MD5_SRCS}
	${MDC_SRCS}
	${MDL_SRCS}
	${MaterialSystem_SRCS}
	${NFF_SRCS}
	${OFFFormat_SRCS}
	${Obj_SRCS}
	${Ogre_SRCS}
	${Ply_SRCS}
	${Q3D_SRCS}
	${Q3BSP_SRCS}
	${Raw_SRCS}
	${SMD_SRCS}
	${STL_SRCS}
	${Unreal_SRCS}
	${XFile_SRCS}
	${Extra_SRCS}
	${MS3D_SRCS}
	${COB_SRCS}
	${BLENDER_SRCS}
	${NDO_SRCS}
	${IFC_SRCS}
	${XGL_SRCS}
	
	# Third-party libraries

=== samples/SimpleOpenGL/CMakeLists.txt ===
FIND_PACKAGE(OpenGL)
FIND_PACKAGE(GLUT)

IF ( NOT GLUT_FOUND )
	IF ( MSVC )
		SET ( GLUT_FOUND 1 )
		SET ( GLUT_INCLUDE_DIR ${Assimp_SOURCE_DIR}/samples/glut/ )
		SET ( GLUT_LIBRARIES ${Assimp_SOURCE_DIR}/samples/glut/glut32.lib )
	ELSE ( MSVC )
		MESSAGE( WARNING "Please install glut." )
	ENDIF ( MSVC )
ENDIF ( NOT GLUT_FOUND )

INCLUDE_DIRECTORIES(
	${Assimp_SOURCE_DIR}/include
	${Assimp_SOURCE_DIR}/code
	${OPENGL_INCLUDE_DIR}
	${GLUT_INCLUDE_DIR}
)

LINK_DIRECTORIES( 
	${Assimp_BINARY_DIR} 
	${Assimp_BINARY_DIR}/lib 
)

ADD_EXECUTABLE( assimp_simpleogl
	Sample_SimpleOpenGL.c
)

SET_PROPERTY(TARGET assimp_simpleogl PROPERTY DEBUG_POSTFIX ${DEBUG_POSTFIX})

TARGET_LINK_LIBRARIES( assimp_simpleogl assimp ${OPENGL_LIBRARIES} ${GLUT_LIBRARIES} )
SET_TARGET_PROPERTIES( assimp_simpleogl PROPERTIES
	OUTPUT_NAME assimp_simpleogl
)

INSTALL( TARGETS assimp_simpleogl
	DESTINATION "${BIN_INSTALL_DIR}" COMPONENT assimp-dev
)

=== samples/SimpleTexturedOpenGL/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	${Assimp_SOURCE_DIR}/include
	${Assimp_SOURCE_DIR}/code
	${Assimp_SOURCE_DIR}/samples/glut/
	${Assimp_SOURCE_DIR}/samples/DevIL/include/
)

LINK_DIRECTORIES( 
	${Assimp_BINARY_DIR} 
	${Assimp_BINARY_DIR}/lib/
	${Assimp_SOURCE_DIR}/samples/glut/
	${Assimp_SOURCE_DIR}/samples/DevIL/lib/
)

ADD_EXECUTABLE( assimp_simpletexturedogl WIN32
	SimpleTexturedOpenGL/include/boost_includes.h
	SimpleTexturedOpenGL/src/model_loading.cpp
)

SET_PROPERTY(TARGET assimp_simpletexturedogl PROPERTY DEBUG_POSTFIX ${DEBUG_POSTFIX})

IF( WIN32 )
	SET( PSDK_PATH "C:/Program Files/Microsoft Platform SDK/Bin" )
	SET( PSDK_INC "C:/Program Files/Microsoft Platform SDK/Include" )
	
	FIND_LIBRARY( WIN32_COMCTRL comctl32.lib 
		PATHS 
			"C:/Programme/Microsoft Platform SDK for Windows Server 2003 R2/Lib" 	
		DOC "Path to psdk"
	) 
ENDIF( WIN32 )


TARGET_LINK_LIBRARIES( assimp_simpletexturedogl assimp opengl32.lib glu32.lib comctl32.lib devil.lib )

SET_TARGET_PROPERTIES( assimp_simpletexturedogl PROPERTIES
	OUTPUT_NAME assimp_simpletexturedogl
)

INSTALL( TARGETS assimp_simpletexturedogl
	DESTINATION "${BIN_INSTALL_DIR}" COMPONENT assimp-dev
)

=== tools/assimp_cmd/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	${Assimp_SOURCE_DIR}/include
	${Assimp_SOURCE_DIR}/code
)

LINK_DIRECTORIES( ${Assimp_BINARY_DIR} ${Assimp_BINARY_DIR}/lib )

ADD_EXECUTABLE( assimp_cmd
	assimp_cmd.rc
	CompareDump.cpp
	ImageExtractor.cpp
	Main.cpp
	Main.h
	resource.h
	WriteDumb.cpp
	Info.cpp
	Export.cpp
)

SET_PROPERTY(TARGET assimp_cmd PROPERTY DEBUG_POSTFIX ${DEBUG_POSTFIX})

TARGET_LINK_LIBRARIES( assimp_cmd assimp ${ZLIB_LIBRARIES})
SET_TARGET_PROPERTIES( assimp_cmd PROPERTIES
	OUTPUT_NAME assimp
)

INSTALL( TARGETS assimp_cmd
	DESTINATION "${BIN_INSTALL_DIR}" COMPONENT assimp-bin
)

=== tools/assimp_view/CMakeLists.txt ===
# Make sure the compiler can find include files from our Hello library.
include_directories (
	${Assimp_SOURCE_DIR}/include
	${Assimp_SOURCE_DIR}/code
	${DX9_INCLUDE_PATH}
)

# Make sure the linker can find the Hello library once it is built.
link_directories (${Assimp_BINARY_DIR} ${AssetImporter_BINARY_DIR}/lib)

# Add executable called "helloDemo" that is built from the source files
# "demo.cxx" and "demo_b.cxx". The extensions are automatically found.
add_executable(  assimp_viewer WIN32
	AnimEvaluator.cpp
	Background.cpp
	Display.cpp
	HelpDialog.cpp
	Input.cpp
	LogDisplay.cpp
	LogWindow.cpp
	Material.cpp
	MeshRenderer.cpp
	MessageProc.cpp
	Normals.cpp
	SceneAnimator.cpp
	Shaders.cpp
	assimp_view.cpp
	stdafx.cpp
	assimp_view.rc
	banner.bmp
	banner_pure.bmp
	base_anim.bmp
	base_display.bmp
	base_inter.bmp
	base_rendering.bmp
	base_stats.bmp
	fx.bmp
	n.bmp
	root.bmp
	tx.bmp
	txi.bmp
)

SET_PROPERTY(TARGET assimp_viewer PROPERTY DEBUG_POSTFIX ${DEBUG_POSTFIX})

IF( WIN32 )
	SET( PSDK_PATH "C:/Program Files/Microsoft Platform SDK/Bin" )
	SET( PSDK_INC "C:/Program Files/Microsoft Platform SDK/Include" )

	FIND_PATH(DX9_INCLUDE_PATH d3d9.h
		PATHS
			"$ENV{DXSDK_DIR}/Include"
			"$ENV{PROGRAMFILES}/Microsoft DirectX SDK/Include"
		DOC "The directory where D3D9.h resides")


	FIND_LIBRARY(D3D9_LIBRARY d3d9.lib
		PATHS
			"$ENV{DXSDK_DIR}/Lib/x86"
			"$ENV{PROGRAMFILES}/Microsoft DirectX SDK/Lib/x86"
		DOC "The directory where d3d9.lib resides")

	FIND_LIBRARY(D3DX9_LIBRARY d3dx9.lib
		PATHS
			"$ENV{DXSDK_DIR}/Lib/x86"
			"$ENV{PROGRAMFILES}/Microsoft DirectX SDK/Lib/x86"
		DOC "The directory where d3dx9.lib resides")

	SET( DX9_LIBRARIES ${D3D9_LIBRARY} ${D3DX9_LIBRARY} )
	
	FIND_LIBRARY( WIN32_COMCTRL comctl32.lib 
		PATHS 
			"C:/Programme/Microsoft Platform SDK for Windows Server 2003 R2/Lib" 	
		DOC "Path to psdk"
	)
	ADD_DEFINITIONS( -D_SCL_SECURE_NO_WARNINGS )
	ADD_DEFINITIONS( -D_CRT_SECURE_NO_WARNINGS )
ENDIF( WIN32 )

# Link the executable to the Hello library.
target_link_libraries ( assimp_viewer assimp ${DX9_LIBRARIES} comctl32.lib Winmm.lib  ) 

INSTALL( TARGETS assimp_viewer
	DESTINATION "${BIN_INSTALL_DIR}" COMPONENT assimp-dev
)

## assimp 2.0.863+dfsg

=== debian/changelog ===
assimp (2.0.863+dfsg-2) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * backported upstream fix for missing-architectures (fixes FTBFS on non-x86)
  * provide a (working) example in libassimp-doc
  * fix insecure use of printf() (Closes: #643354)

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Mon, 26 Sep 2011 15:38:29 +0200

assimp (2.0.863+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #615055)

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Tue, 23 Aug 2011 16:51:26 +0200

=== debian/control ===
Source: assimp
Section: graphics
Priority: extra
Maintainer: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
Homepage: http://assimp.sourceforge.net/
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.1),
 dh-buildinfo,
 devscripts (>= 2.10.7~),
 python (>= 2.6.5),
 cdbs (>= 0.4.95~),
 python-dev (>= 2.3.5-7),
 dpkg-dev (>= 1.15.6),
 pkg-kde-tools,
 cmake,
 libboost1.46-dev | libboost-dev,
 zlib1g-dev | libz-dev,
 doxygen
Vcs-Git: git://git.debian.org/collab-maint/assimp
Vcs-Browser: http://git.debian.org/?p=collab-maint/assimp.git


Package: libassimp2
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: 3D model import library
 Assimp is a library to import various well-known 3D model formats ("assets") in
 a uniform manner.
 Assimp aims at providing a full asset conversion pipeline for use in game
 engines / realtime rendering systems of any kind but is not limited to this
 audience.
 .
 The library is designed for maximum stability and flexibility. While written in
 C++, a pure C API exists, as well as bindings to various other languages,
 including Python, D and Blitzmax. Assimp loads models into a straightforward
 data structure for easy processing by your application. Various post processing
 steps (such as general optimization or computation of extra data like normal or
 tangent vectors) can be executed on the imported data to suit your needs.
 .
 This package provides the shared object necessary to run an application
 using Assimp.


Package: libassimp-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libassimp2 (>= ${source:Version}),
 libassimp2 (<< ${source:Upstream-Version}+1~)
Description: 3D model import library (development)
 Assimp is a library to import various well-known 3D model formats ("assets") in
 a uniform manner.
 Assimp aims at providing a full asset conversion pipeline for use in game
 engines / realtime rendering systems of any kind but is not limited to this
 audience.
 .
 This package provides the files necessary to compile an application
 using Assimp


Package: libassimp-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Suggests: libassimp-dev
Description: 3D model import library (documentation)
 Assimp is a library to import various well-known 3D model formats ("assets") in
 a uniform manner.
 Assimp aims at providing a full asset conversion pipeline for use in game
 engines / realtime rendering systems of any kind but is not limited to this
 audience.
 .
 This package contains html documentation for the Assimp API.

Package: assimp-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: 3D model import library (utilities)
 Assimp is a library to import various well-known 3D model formats ("assets") in
 a uniform manner.
 Assimp aims at providing a full asset conversion pipeline for use in game
 engines / realtime rendering systems of any kind but is not limited to this
 audience.
 .
 This package contains additional commandline utilities (currently only
 'assimp') to interact with 3D models.

Package: python-pyassimp
Architecture: all
Section: python
Depends: ${python:Depends},
 ${misc:Depends},
 libassimp2 (>= ${source:Version}),
 libassimp2 (<< ${source:Upstream-Version}+1~)
Description: 3D model import library (Python bindings)
 Assimp is a library to import various well-known 3D model formats ("assets") in
 a uniform manner.
 Assimp aims at providing a full asset conversion pipeline for use in game
 engines / realtime rendering systems of any kind but is not limited to this
 audience.
 .
 This package provides Python bindings to the Assimp library.

Package: libassimp2-d-dev
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libtango-headers,
 libassimp2 (>= ${source:Version}),
 libassimp2 (<< ${source:Upstream-Version}+1~)
Section: libdevel
Description: 3D model import library (D bindings)
 Assimp is a library to import various well-known 3D model formats ("assets") in
 a uniform manner.
 Assimp aims at providing a full asset conversion pipeline for use in game
 engines / realtime rendering systems of any kind but is not limited to this
 audience.
 .
 This package provides D bindings to the Assimp library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011 IOhannes m zmölnig <zmoelnig@iem.at>
#
# Description: Main Debian packaging script for assimp
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

## assimp-utils depends on libassimp2
binary/assimp-utils:: binary/libassimp2

# trying to get clean done
.PHONY: cleanbuilddir-force
cleanbuilddir-force:
	-$(if $(call cdbs_streq,$(DEB_BUILDDIR),$(DEB_SRCDIR)),,rm -rf $(DEB_BUILDDIR))
	mkdir -p $(DEB_BUILDDIR)

cleanbuilddir:: cleanbuilddir-force



include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/utils.mk

# provides a means to handle "size_t" on different architectures
#  on i386 (size_t)==(unsigned int), whereas on amd64 (size_t)==(unsigned long)
include /usr/share/pkg-kde-tools/makefiles/1/cdbs/symbolshelper.mk

DEB_PYTHON_SETUP_CMD = debian/setup.py
include /usr/share/cdbs/1/class/python-distutils.mk

LDFLAGS+=-Wl,--as-needed

## to get new sources, use
## $ debian/rules get-orig-source
DEB_UPSTREAM_URL = http://downloads.sourceforge.net/assimp
DEB_UPSTREAM_TARBALL_EXTENSION = zip
DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_PACKAGE)--$(DEB_UPSTREAM_TARBALL_VERSION)-sdk

DEB_UPSTREAM_REPACKAGE_EXCLUDES = ./lib/
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./bin/
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./test/models-nonbsd/

DEB_UPSTREAM_TARBALL_MD5 = 9f41662501bd9d9533c4cf03b7c25d5b

# In order to regenerate 'debian/control' :
#    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

# Suppress scanning documentation images causing false alarms.
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^((Documentation|CommandLine).chm|tools\/assimp_view\/base\.PNG|tools\/shared\/(default_icon\.xcf|assimp_tools_icon\.png)|port\/Assimp\.NET\/CSharpViewerScreenShot\.PNG|doc\/assimpcmd_html\/dragonsplash\.png|debian/(changelog|copyright(|_hints|_newhints)))$


DEB_DH_MAKESHLIBS_ARGS_ALL := -- -v$(DEB_UPSTREAM_VERSION)

DEB_CMAKE_EXTRA_FLAGS=-DUSE_BUILTIN_ZLIB=OFF -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--version-script=$(CURDIR)/debian/libassimp2.ver" -DASSIMP_BUILD_ARCHITECTURE=$(DEB_HOST_ARCH)

build/libassimp-doc::
	cd doc && doxygen Doxyfile

build/assimp-utils::
	cd doc && doxygen Doxyfile_Cmd

install/libassimp-doc::
	install -d $(cdbs_curdestdir)/usr/share/doc/libassimp-doc/samples/SimpleOpenGL
	install -T debian/Makefile.samples \
		$(cdbs_curdestdir)/usr/share/doc/libassimp-doc/samples/SimpleOpenGL/GNUmakefile

clean::
	rm -rf doc/AssimpCmdDoc_Html/
	rm -rf doc/AssimpDoc_Html/

## assimp 3.0~dfsg

=== debian/changelog ===
assimp (3.0~dfsg-2) unstable; urgency=low

  * assimp-utils: Fixed 'assimp cmpdump' argcheck (Closes: #715653)
  * libassimp3: lintian-override for false positive in spellcheck
  * B-D (only) on the default libboost-dev
  * Canonicalized Vcs-* stanzas
  * Fixed my name (after gpg-key transition)
  * Excluded more binary files from licensecheck
  * Updated debian/copyright_hints
  * Regenerated debian/control
  * Bumped standards to 3.9.5

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Mon, 18 Nov 2013 15:40:52 +0100

assimp (3.0~dfsg-1) unstable; urgency=low

  * New upstream

  [ IOhannes m zmoelnig (gpg-key at iem) ]
  * Imported Upstream version 3.0~dfsg
  * Removed patches applied by upstream
  * Refreshed patches so they apply cleanly to new upstream
  * Build-depend on current version of libboost-dev (Closes: #678778)
  * Renamed libassimp2 to libassimp3 due to soname change
  * Removed duplicate entries (and symbols not exported by g++-4.7.1)
    from .symbols file
  * Removed D-bindings libassimp3-d-dev (deprecated upstream) (Closes: #677716)
  * Don't try to build samples
  * Enabled hardened builds
  * Build doxygen documentation in separate directory
  * Bumped standards version to 3.9.3
  * Bumped compat version to 9
  * Excluded binaries from copyright-check
  * Regenerated debian/(control|copyright_hints)
  * Updated debian/copyright
  * Updated debian/README.source for upstream-3.0

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Tue, 26 Jun 2012 10:51:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: assimp
 Section: graphics
 Priority: extra
-Maintainer: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
+Maintainer: IOhannes m zmölnig <zmoelnig@iem.at>
 Homepage: http://assimp.sourceforge.net/
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.1),
+Standards-Version: 3.9.5
+Build-Depends: cdbs (>= 0.4.97~),
+ debhelper (>= 9~),
  dh-buildinfo,
- devscripts (>= 2.10.7~),
- python (>= 2.6.5),
- cdbs (>= 0.4.95~),
+ devscripts,
+ python,
  python-dev (>= 2.3.5-7),
  dpkg-dev (>= 1.15.6),
  pkg-kde-tools,
  cmake,
- libboost1.46-dev | libboost-dev,
+ libboost-dev,
  zlib1g-dev | libz-dev,
  doxygen
-Vcs-Git: git://git.debian.org/collab-maint/assimp
-Vcs-Browser: http://git.debian.org/?p=collab-maint/assimp.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/assimp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/assimp.git;a=summary
 
-
-Package: libassimp2
+Package: libassimp3
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -47,8 +46,8 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
- libassimp2 (>= ${source:Version}),
- libassimp2 (<< ${source:Upstream-Version}+1~)
+ libassimp3 (>= ${source:Version}),
+ libassimp3 (<< ${source:Upstream-Version}+1~)
 Description: 3D model import library (development)
  Assimp is a library to import various well-known 3D model formats ("assets") in
  a uniform manner.
@@ -94,8 +93,8 @@
 Section: python
 Depends: ${python:Depends},
  ${misc:Depends},
- libassimp2 (>= ${source:Version}),
- libassimp2 (<< ${source:Upstream-Version}+1~)
+ libassimp3 (>= ${source:Version}),
+ libassimp3 (<< ${source:Upstream-Version}+1~)
 Description: 3D model import library (Python bindings)
  Assimp is a library to import various well-known 3D model formats ("assets") in
  a uniform manner.
@@ -104,21 +103,3 @@
  audience.
  .
  This package provides Python bindings to the Assimp library.
-
-Package: libassimp2-d-dev
-Architecture: all
-Depends: ${shlibs:Depends},
- ${misc:Depends},
- libtango-headers,
- libassimp2 (>= ${source:Version}),
- libassimp2 (<< ${source:Upstream-Version}+1~)
-Section: libdevel
-Description: 3D model import library (D bindings)
- Assimp is a library to import various well-known 3D model formats ("assets") in
- a uniform manner.
- Assimp aims at providing a full asset conversion pipeline for use in game
- engines / realtime rendering systems of any kind but is not limited to this
- audience.
- .
- This package provides D bindings to the Assimp library.
-

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-## assimp-utils depends on libassimp2
-binary/assimp-utils:: binary/libassimp2
+## assimp-utils depends on libassimp3
+binary/assimp-utils:: binary/libassimp3
 
 # trying to get clean done
 .PHONY: cleanbuilddir-force
@@ -61,12 +61,15 @@
 # Then check manually if everything's ok
 
 # Suppress scanning documentation images causing false alarms.
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^((Documentation|CommandLine).chm|tools\/assimp_view\/base\.PNG|tools\/shared\/(default_icon\.xcf|assimp_tools_icon\.png)|port\/Assimp\.NET\/CSharpViewerScreenShot\.PNG|doc\/assimpcmd_html\/dragonsplash\.png|debian/(changelog|copyright(|_hints|_newhints)))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^((Documentation|CommandLine).chm|tools\/assimp_view\/(base\.PNG|HUD\.png)|tools\/shared\/(default_icon\.xcf|assimp_tools_icon\.png)|port\/Assimp\.NET\/CSharpViewerScreenShot\.PNG|doc\/AssimpCmdDoc_Html\/(dragonsplash\.png|AssimpCmdDoc.chm)|doc\/AssimpDoc_Html\/(dragonsplash\.png|AssimpDoc.chm)|debian/(changelog|copyright(|_hints|_newhints)))$
 
 
 DEB_DH_MAKESHLIBS_ARGS_ALL := -- -v$(DEB_UPSTREAM_VERSION)
 
-DEB_CMAKE_EXTRA_FLAGS=-DUSE_BUILTIN_ZLIB=OFF -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--version-script=$(CURDIR)/debian/libassimp2.ver" -DASSIMP_BUILD_ARCHITECTURE=$(DEB_HOST_ARCH)
+DEB_CMAKE_EXTRA_FLAGS=-DASSIMP_BUILD_ARCHITECTURE=$(DEB_HOST_ARCH) \
+	-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--version-script=$(CURDIR)/debian/libassimp3.ver $(LDFLAGS)" \
+	-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" \
+	-DBUILD_ASSIMP_SAMPLES=OFF
 
 build/libassimp-doc::
 	cd doc && doxygen Doxyfile
@@ -79,7 +82,10 @@
 	install -T debian/Makefile.samples \
 		$(cdbs_curdestdir)/usr/share/doc/libassimp-doc/samples/SimpleOpenGL/GNUmakefile
 
-clean::
-	rm -rf doc/AssimpCmdDoc_Html/
-	rm -rf doc/AssimpDoc_Html/
 
+.PHONY: cleandoxydocs
+clean:: cleandoxydocs
+cleandoxydocs:
+	rm -rf doc/AssimpCmdDoc_Html_tmp/
+	rm -rf doc/AssimpDoc_Html_tmp/
+

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3

opts=dversionmangle=s/\~dfsg[0-9]*$// \
http://sf.net/assimp/assimp--(.*)-sdk\.zip
